summaryrefslogtreecommitdiffstats
path: root/test/scripts/run_with_cleanup.sh
diff options
context:
space:
mode:
authorKlement Sekera <ksekera@cisco.com>2017-08-11 10:06:15 +0200
committerDave Wallace <dwallacelf@gmail.com>2017-08-14 15:21:43 +0000
commitdb4e84cf2f8de0909c3483c8cadb25ac72fb3367 (patch)
tree4a53ac49f39e3c492088e417050b7c1d98760e88 /test/scripts/run_with_cleanup.sh
parent3214dc382342573c242782849d98c23009960633 (diff)
make test: properly handle ctrl-c
Change-Id: Iab88886ebc1582626813777ea45ce97fc8e36443 Signed-off-by: Klement Sekera <ksekera@cisco.com>
Diffstat (limited to 'test/scripts/run_with_cleanup.sh')
-rwxr-xr-xtest/scripts/run_with_cleanup.sh25
1 files changed, 0 insertions, 25 deletions
diff --git a/test/scripts/run_with_cleanup.sh b/test/scripts/run_with_cleanup.sh
deleted file mode 100755
index dcaa58b4498..00000000000
--- a/test/scripts/run_with_cleanup.sh
+++ /dev/null
@@ -1,25 +0,0 @@
-#!/bin/bash
-
-rv=0
-
-atexit() {
- group_id=`ps -p $$ -o pgid=`
- my_id=$$
- ids=`pgrep -g $group_id -d ' ' | sed "s/\b$my_id\b//g"`
- echo "Killing possible remaining process IDs: $ids"
- for id in $ids
- do
- if ps -p $id > /dev/null
- then
- kill -9 $id
- fi
- done
- exit $rv
-}
-
-trap "atexit" SIGINT SIGTERM
-
-$*
-rv=$?
-atexit
-exit $rv